:root {
    --background-color: #152644;
    --primary: #8CC3E1;
    --secondary: #E2FF65;
    --tertiary: #0E1B31; 

    --wp--preset--font-size--small: clamp(11px, 0.875rem + ((1vw - 4px) * 0.852), 15px);
	--wp--preset--font-size--medium: clamp(12px, 0.875rem + ((1vw - 4px) * 0.852), 18px);
	--wp--preset--font-size--large: clamp(17px, 1.378rem + ((1vw - 3.2px) * 1.983), 28px);
	--wp--preset--font-size--x-large: clamp(25.014px, 1.563rem + ((1vw - 3.2px) * 2.413), 42px);

    --wp--style--layout--wide-size: 1352px;
    --wp--style--layout--content-size: 700px;
}


* {
    padding: 0;
    scroll-behavior: smooth;
    margin: 0;
}

.wp-block-button {
    width: fit-content !important;
}


@media only screen and (max-width: 781px) {
    .center-text-mobile {
        >* {
            text-align: center;
        }
    }
}


body.light-mode {
    background-color: rgb(181, 200, 223);
    color: black;
}

body.dark-mode {
    background-color: var(--background-color);
    color: white;
}

body:not(.home) {
    padding: 80px 40px 0px 40px;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    overflow-x: hidden;

    .is-layout-constrained > * {
        max-width: var(--wp--style--layout--content-size);
        margin-left: auto !important;
        margin-right: auto !important;
    }

    .is-layout-constrained.alignwide > * {
        max-width: var(--wp--style--layout--wide-size);
        margin-left: auto;
        margin-right: auto;
    }

    .alignwide {
        max-width: var(--wp--style--layout--wide-size);
        margin-right: auto;
        margin-left: auto;
    }

    .is-layout-constrained.alignfull > * {
        max-width: none;
    }

    main {
        padding: 0px;
    }

    p {
        line-height: 1.4;
    }

    .yellow-btn {
        transition: box-shadow .2s cubic-bezier(.455, .03, .515, .955);
        border-radius: 10px;

        &:hover {
            border: 1px black;
            box-shadow: 0 0 13px 1px #e2ff64;
        }
    }
}